%define name SDL11
%define fname SDL
%define version 1.1.2
%define release 1mdk

Summary: Simple DirectMedia Layer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}-%{version}.tar.bz2
Copyright: LGPL
Group: System/Libraries
URL: http://www.devolution.com/~slouken/SDL
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: esound-devel, nasm, XFree86-devel
Provides: %{fname}

%description
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/C
Requires: %{name}

%description devel
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

This is the libraries, include files and other resources you can use
to develop SDL applications.

[This version has the tree installed into /usr/lib/SDL11, to allow
these library coexisting with the stable version 1.0.8.].

%prep
%setup -q -n %{fname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}/lib/SDL11
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib
mv $RPM_BUILD_ROOT/%{prefix}/lib/SDL11/lib/*so.* \
	$RPM_BUILD_ROOT/%{prefix}/lib
ln -sf ../../libSDL-1.1.so.0.0.2 $RPM_BUILD_ROOT/%{prefix}/lib/SDL11/lib/libSDL.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README README-SDL.txt COPYING CREDITS BUGS WhatsNew docs.html
%doc docs/index.html docs/images
%doc docs/audio docs/cdrom docs/events docs/threads docs/video docs/time
%{prefix}/lib/SDL11/bin/*-config
%{prefix}/lib/SDL11/lib/*a
%{prefix}/lib/SDL11/lib/*.so
%{prefix}/lib/SDL11/include/*
%{prefix}/lib/SDL11/share/aclocal/*

%changelog
* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.2-1mdk
- built for version 1.1.2 so that it can coexists with SDL 1.0.8.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.8-3mdk
- fixed the few problems 

* Fri Apr 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- changed group.

* Sat Mar 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.8.

* Tue Feb 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.4.

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated for version 1.0.3.
- added BuildPreReq.

* Wed Jan 19 2000 Sam Lantinga <slouken@devolution.com>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure 
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
